@rem *****************************************************************************
@rem  This Utility should be used to Update the OutOfBox report template for the report
@rem  "Individual Accounts by Role"
@rem 
@rem Set ITIM_HOME to the complete path of your ITIM installation directory.
@rem Set JAVA_HOME to point to java folder of WebSphere installation directory.
@rem Set DRIVER_PATH to point to the jdbc driver file.
@rem For example if database is DB2 and if db2 is installed in C:\Program Files\IBM\SQLLIB, then 
@rem set DRIVER_PATH as  "C:\Program Files\IBM\SQLLIB\java\db2java.zip"
@rem similarly if database is Oracle please add ojdbc14.jar to classpath incase
@rem it is not already present in ITIM_HOME/lib directory. Usually this driver 
@rem is present in ORACLE_HOME/ora81/jdbc/lib directory
@rem
@rem ******************************************************************************
@echo off



set ITIM_HOME=C:\Progra~1\IBM\itim
set JAVA_HOME=C:\Progra~1\WebSphere\AppServer\java
set DRIVER_PATH=I:\Progra~1\IBM\SQLLIB\java\db2java.zip

@if exist "%JAVA_HOME%\bin\java.exe" goto java
@echo
@echo The JDK wasn't found in directory %JAVA_HOME%.
@echo Please edit this script so that the JAVA_HOME
@echo variable points to the location of your JDK.
@goto finish

:java

set CP=.
set CP=%CP%;%DRIVER_PATH%
set CP=%CP%;%ITIM_HOME%\lib\itim_server.jar
set CP=%CP%;%ITIM_HOME%\lib\itim_api.jar
set CP=%CP%;%ITIM_HOME%\lib\jlog.jar
set CP=%CP%;%ITIM_HOME%\lib\aspectjrt.jar
set CP=%CP%;%ITIM_HOME%\data

set CP=%CP%;updateCannedReport.jar


set OPTS=-ms256m -mx512m

"%JAVA_HOME%\bin\java" %OPTS% -DITIM_HOME="%ITIM_HOME%" -classpath %CP% UpdateCannedReport %*
:finish



